Description

By default candlepin uses rolling file appender, we want it to log into syslog which is currently supported upstream. Use local4 facility
for all logs. By default candlepin does put correlation id (csid) on each line, the logging line should look like:

o)

&1t;pattern&gt; [$X{requestType}=%X{requestUuid}, org=%$X{org}, csid=%X{csid}] %$-5p %c - $m%né&lt;/pa
tterné&gt;

More details how to configure syslog for candlepin: http://www.candlepinproject.org/docs/candlepin/logging.html#logging-to-syslog

Also configure syslog to file all local4 logs into /var/log/candlepin/candlepin.log so users find it on the old path for easy transition. In
the first phase, candlepin will only log in plaintext. Although it is possible to change the pattern to log in JSON format, installer will not
support that for now.

Related issues:
Related to Foreman - Tracker #22569: Unified and structured logging Assigned

History

#1 - 02/13/2018 10:00 AM - Lukas Zapletal
- Related to Tracker #22569: Unified and structured logging added

#2 - 01/22/2019 03:49 PM - Lukas Zapletal

- Status changed from New to Assigned

Pattern proposal:

n.mno

&1lt;patterns&gt;Qcee: {"message sm", "foreman": {"request":"$X{csid}", "org_id":"$X{org}"}, "candlepin": {"thread":
"$thread", "request_type":"%X{requestUuid}", "request_uuid":"%X{requestUuid}"}%n&lt; /patterns&gt;

#3 - 05/14/2020 01:47 PM - Zach Huntington-Meath
- Status changed from Assigned to New

- Triaged changed from No to Yes
